Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.navi
Interface CalcSet

All Superinterfaces:
  Extension

    public interface CalcSet

extends Extension

Author:
  av

Field Summary
`static int` | `GENERATE` in case of multiple hierarchies on an axis, the expression is evaluated for every member of the hierarchies, that are left of this hierarchy.
`static java.lang.String` | `ID`
`static int` | `SIMPLE` evaluates the expression once in global context.
`static int` | `STICKY` Expression is re-evaluated when the user navigates.

Method Summary
`java.lang.Object` | `createAxisExpression(int mode, Expression expr, Hierarchy hier)` creates an Object that may be placed on an axis via PlaceHierarchiesOnAxes.

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Field Detail

### ID

    static final java.lang.String ID

See Also:
  Constant Field Values

### SIMPLE

    static final int SIMPLE

  evaluates the expression once in global context.

  Example: create an expression for customer, e.g. TopCount

       Products   Customer
         A         TopCount(Customer.members, 5)
         B
         C

  SIMPLE will find the top 5 customers globally and will display the same 5 customers for every product

  See Also:
    Constant Field Values

### GENERATE

    static final int GENERATE

  in case of multiple hierarchies on an axis, the expression is evaluated for every member of the hierarchies, that are left of this hierarchy.

  Example: create an expression for customer, e.g. TopCount

       Products   Customer
         A         TopCount(Customer.members, 5)
         B
         C

  GENERATE will find the top 5 customers for every product, it will show different customers for every product.

  See Also:
    Constant Field Values

### STICKY

    static final int STICKY

  Expression is re-evaluated when the user navigates. Navigation is restricted.

  See Also:
    Constant Field Values

Method Detail

### createAxisExpression

    java.lang.Object createAxisExpression(int mode,
                                          Expression expr,
                                          Hierarchy hier)
                                          throws InvalidExpressionException

  creates an Object that may be placed on an axis via PlaceHierarchiesOnAxes.

  Parameters:
    `mode` - one of SIMPLE, GENERATE, STICKY
    `expr` - the Expression to parse
    `hier` - the Hierarchy that the expression evaluates to
  Returns:
    the object to place on the axis
  Throws:
    `InvalidExpressionException` - in case the expression is not valid, e.g. misspelled function names etc
  See Also:
    `PlaceHierarchiesOnAxes.setQueryAxis(com.tonbeller.jpivot.olap.model.Axis, java.lang.Object[])`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD